import { post } from '#/api/http'

import { BasicService } from '../basic'

class StudentShareService extends BasicService {
  async share(data: any) {
    return await post('/org/studentShare/save', data)
  }

  protected findPageUrl(): string {
    return '/org/studentShare/list'
  }

  protected removeUrl(): string {
    return '/org/studentShare/delete'
  }

  protected saveOrUpdateUrl(): string {
    return ''
  }
}

export const studentShareService = new StudentShareService()
